Debian Bug report logs - #686939
i915: "nomodeset vga=788" hangs instead of suppressing modesetting ("fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver")

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Steven Shiau <steven@nchc.org.tw>

Date: Fri, 7 Sep 2012 11:39:05 UTC

Severity: normal

Found in version linux/3.2.23-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, steven@nchc.org.tw, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Fri, 07 Sep 2012 11:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Shiau <steven@nchc.org.tw>:
New Bug report received and forwarded. Copy sent to steven@nchc.org.tw, Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 07 Sep 2012 11:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Fri, 07 Sep 2012 19:37:00 +0800
Source: linux
Version: 3.2.23-1
Severity: important

Dear Maintainer,

When using "nomodeset" and "vga=788" in the boot parameters, the machine hang at
"fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver"
on a machine with Intel VGA card.
This happens no matter it's 686-pae kernel, or i486 one.
Since the Intel VGA card in very common, please consider to make framebuffer work for KMS disabled.
How to reproduce this:
1. Create a Debian live based on Sid:
   http://live-build.debian.net/cgi-bin/live-build
2. Burn the created iso on a CD, then boot it on a machine with Intel VGA card
3. In the 1st boot menu of isolinux, press "Tab" key to modify the boot parameters. Just append "nomodeset vga=788", then press enter to continue boot
4. The above error will shown, and it just hangs there.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Sun, 16 Sep 2012 05:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Sep 2012 05:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 686939@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Steven Shiau <steven@nchc.org.tw>, 686939@bugs.debian.org
Subject: Re: Bug#686939: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Sun, 16 Sep 2012 06:13:51 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-09-07 at 19:37 +0800, Steven Shiau wrote:
> Source: linux
> Version: 3.2.23-1
> Severity: important
> 
> Dear Maintainer,
> 
> When using "nomodeset" and "vga=788" in the boot parameters, the machine hang at
> "fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver"
> on a machine with Intel VGA card.
> This happens no matter it's 686-pae kernel, or i486 one.
> Since the Intel VGA card in very common, please consider to make framebuffer work for KMS disabled.

DRM drivers with KMS *are* framebuffer drivers.  I think you mean 'keep
VGA console working'.

> How to reproduce this:
> 1. Create a Debian live based on Sid:
>    http://live-build.debian.net/cgi-bin/live-build
> 2. Burn the created iso on a CD, then boot it on a machine with Intel VGA card
> 3. In the 1st boot menu of isolinux, press "Tab" key to modify the boot parameters. Just append "nomodeset vga=788", then press enter to continue boot
> 4. The above error will shown, and it just hangs there.

This is really weird because i915 just shouldn't register a console at
all if you do that...  Ah, but xserver-video-xorg-intel still installs a
configuration file which *overrides* nomodeset
(/etc/modprobe.d/i915-kms.conf).  (There was a very good reason for
doing that in squeeze, but I think it can be dropped now.)

So you could avoid installing xserver-video-xorg-intel, or empty the
configuration file.

Still, the kernel should be able to switch without hanging (and normally
does).  Does this *only* happen if you use 'nomodeset vga=788' or does
it also happen if you use 'vga=788'?

Ben.

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 16 Sep 2012 05:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Wed, 19 Sep 2012 02:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Sep 2012 02:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 686939@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 686939@bugs.debian.org
Subject: Re: Bug#686939: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Wed, 19 Sep 2012 10:09:11 +0800

On 2012/9/16 下午 01:13, Ben Hutchings wrote:
> On Fri, 2012-09-07 at 19:37 +0800, Steven Shiau wrote:
>> Source: linux
>> Version: 3.2.23-1
>> Severity: important
>>
>> Dear Maintainer,
>>
>> When using "nomodeset" and "vga=788" in the boot parameters, the machine hang at
>> "fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver"
>> on a machine with Intel VGA card.
>> This happens no matter it's 686-pae kernel, or i486 one.
>> Since the Intel VGA card in very common, please consider to make framebuffer work for KMS disabled.
>
> DRM drivers with KMS *are* framebuffer drivers.  I think you mean 'keep
> VGA console working'.
>
>> How to reproduce this:
>> 1. Create a Debian live based on Sid:
>>     http://live-build.debian.net/cgi-bin/live-build
>> 2. Burn the created iso on a CD, then boot it on a machine with Intel VGA card
>> 3. In the 1st boot menu of isolinux, press "Tab" key to modify the boot parameters. Just append "nomodeset vga=788", then press enter to continue boot
>> 4. The above error will shown, and it just hangs there.
>
> This is really weird because i915 just shouldn't register a console at
> all if you do that...  Ah, but xserver-video-xorg-intel still installs a
> configuration file which *overrides* nomodeset
> (/etc/modprobe.d/i915-kms.conf).  (There was a very good reason for
> doing that in squeeze, but I think it can be dropped now.)
>
> So you could avoid installing xserver-video-xorg-intel, or empty the
> configuration file.
>
> Still, the kernel should be able to switch without hanging (and normally
> does).  Does this *only* happen if you use 'nomodeset vga=788' or does
> it also happen if you use 'vga=788'?
It "only" happens when I use 'nomodeset vga=788'.
However, when using "vga=788", actually it won't work since the console 
screen is not in the 800x600 text mode. It's in KMS mode I believe.

Steven.
>
> Ben.
>

-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Wed, 19 Sep 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Sep 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 686939@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: steven@nchc.org.tw
Cc: 686939@bugs.debian.org
Subject: Re: Bug#686939: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Wed, 19 Sep 2012 04:46:33 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-09-19 at 10:09 +0800, Steven Shiau wrote:
> 
> On 2012/9/16 下午 01:13, Ben Hutchings wrote:
> > On Fri, 2012-09-07 at 19:37 +0800, Steven Shiau wrote:
> >> Source: linux
> >> Version: 3.2.23-1
> >> Severity: important
> >>
> >> Dear Maintainer,
> >>
> >> When using "nomodeset" and "vga=788" in the boot parameters, the machine hang at
> >> "fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver"
> >> on a machine with Intel VGA card.
> >> This happens no matter it's 686-pae kernel, or i486 one.
> >> Since the Intel VGA card in very common, please consider to make framebuffer work for KMS disabled.
> >
> > DRM drivers with KMS *are* framebuffer drivers.  I think you mean 'keep
> > VGA console working'.
> >
> >> How to reproduce this:
> >> 1. Create a Debian live based on Sid:
> >>     http://live-build.debian.net/cgi-bin/live-build
> >> 2. Burn the created iso on a CD, then boot it on a machine with Intel VGA card
> >> 3. In the 1st boot menu of isolinux, press "Tab" key to modify the boot parameters. Just append "nomodeset vga=788", then press enter to continue boot
> >> 4. The above error will shown, and it just hangs there.
> >
> > This is really weird because i915 just shouldn't register a console at
> > all if you do that...  Ah, but xserver-video-xorg-intel still installs a
> > configuration file which *overrides* nomodeset
> > (/etc/modprobe.d/i915-kms.conf).  (There was a very good reason for
> > doing that in squeeze, but I think it can be dropped now.)
> >
> > So you could avoid installing xserver-video-xorg-intel, or empty the
> > configuration file.
> >
> > Still, the kernel should be able to switch without hanging (and normally
> > does).  Does this *only* happen if you use 'nomodeset vga=788' or does
> > it also happen if you use 'vga=788'?
> It "only" happens when I use 'nomodeset vga=788'.

Does /etc/modprobe.d/i915-kms.conf exist in the live system?

> However, when using "vga=788", actually it won't work since the console 
> screen is not in the 800x600 text mode. It's in KMS mode I believe.

Yes, by default i915 will load and set the screen mode immediately.

Ben.

-- 
Ben Hutchings
The world is coming to an end.	Please log off.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Wed, 19 Sep 2012 04:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Sep 2012 04:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 686939@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 686939@bugs.debian.org
Subject: Re: Bug#686939: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Wed, 19 Sep 2012 11:58:14 +0800

On 2012/9/19 上午 11:46, Ben Hutchings wrote:
> On Wed, 2012-09-19 at 10:09 +0800, Steven Shiau wrote:
>>
>> On 2012/9/16 下午 01:13, Ben Hutchings wrote:
>>> On Fri, 2012-09-07 at 19:37 +0800, Steven Shiau wrote:
>>>> Source: linux
>>>> Version: 3.2.23-1
>>>> Severity: important
>>>>
>>>> Dear Maintainer,
>>>>
>>>> When using "nomodeset" and "vga=788" in the boot parameters, the machine hang at
>>>> "fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver"
>>>> on a machine with Intel VGA card.
>>>> This happens no matter it's 686-pae kernel, or i486 one.
>>>> Since the Intel VGA card in very common, please consider to make framebuffer work for KMS disabled.
>>>
>>> DRM drivers with KMS *are* framebuffer drivers.  I think you mean 'keep
>>> VGA console working'.
>>>
>>>> How to reproduce this:
>>>> 1. Create a Debian live based on Sid:
>>>>      http://live-build.debian.net/cgi-bin/live-build
>>>> 2. Burn the created iso on a CD, then boot it on a machine with Intel VGA card
>>>> 3. In the 1st boot menu of isolinux, press "Tab" key to modify the boot parameters. Just append "nomodeset vga=788", then press enter to continue boot
>>>> 4. The above error will shown, and it just hangs there.
>>>
>>> This is really weird because i915 just shouldn't register a console at
>>> all if you do that...  Ah, but xserver-video-xorg-intel still installs a
>>> configuration file which *overrides* nomodeset
>>> (/etc/modprobe.d/i915-kms.conf).  (There was a very good reason for
>>> doing that in squeeze, but I think it can be dropped now.)
>>>
>>> So you could avoid installing xserver-video-xorg-intel, or empty the
>>> configuration file.
>>>
>>> Still, the kernel should be able to switch without hanging (and normally
>>> does).  Does this *only* happen if you use 'nomodeset vga=788' or does
>>> it also happen if you use 'vga=788'?
>> It "only" happens when I use 'nomodeset vga=788'.
>
> Does /etc/modprobe.d/i915-kms.conf exist in the live system?
No. There is only a file /etc/modprobe.d/fbdev-blacklist.conf in the dir 
/etc/modprobe.d/.
>
>> However, when using "vga=788", actually it won't work since the console
>> screen is not in the 800x600 text mode. It's in KMS mode I believe.
>
> Yes, by default i915 will load and set the screen mode immediately.
Got it. Sure.
Thanks.

Steven.
>
> Ben.
>

-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Sun, 23 Sep 2012 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Shiau <steven@nchc.org.tw>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 23 Sep 2012 14:09:08 GMT) Full text and rfc822 format available.

Message #32 received at 686939@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 686939@bugs.debian.org
Subject: Re: Bug#686939: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Sun, 23 Sep 2012 22:06:19 +0800
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


On 09/19/2012 11:46 AM, Ben Hutchings wrote:
> On Wed, 2012-09-19 at 10:09 +0800, Steven Shiau wrote:
>>
>> On 2012/9/16 下午 01:13, Ben Hutchings wrote:
>>> On Fri, 2012-09-07 at 19:37 +0800, Steven Shiau wrote:
>>>> Source: linux
>>>> Version: 3.2.23-1
>>>> Severity: important
>>>>
>>>> Dear Maintainer,
>>>>
>>>> When using "nomodeset" and "vga=788" in the boot parameters, the
machine hang at
>>>> "fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing
generic driver"
>>>> on a machine with Intel VGA card.
>>>> This happens no matter it's 686-pae kernel, or i486 one.
>>>> Since the Intel VGA card in very common, please consider to make
framebuffer work for KMS disabled.
>>>
>>> DRM drivers with KMS *are* framebuffer drivers. I think you mean 'keep
>>> VGA console working'.
>>>
>>>> How to reproduce this:
>>>> 1. Create a Debian live based on Sid:
>>>> http://live-build.debian.net/cgi-bin/live-build
>>>> 2. Burn the created iso on a CD, then boot it on a machine with
Intel VGA card
>>>> 3. In the 1st boot menu of isolinux, press "Tab" key to modify the
boot parameters. Just append "nomodeset vga=788", then press enter to
continue boot
>>>> 4. The above error will shown, and it just hangs there.
>>>
>>> This is really weird because i915 just shouldn't register a console at
>>> all if you do that... Ah, but xserver-video-xorg-intel still installs a
>>> configuration file which *overrides* nomodeset
>>> (/etc/modprobe.d/i915-kms.conf). (There was a very good reason for
>>> doing that in squeeze, but I think it can be dropped now.)
>>>
>>> So you could avoid installing xserver-video-xorg-intel, or empty the
>>> configuration file.
>>>
>>> Still, the kernel should be able to switch without hanging (and normally
>>> does). Does this *only* happen if you use 'nomodeset vga=788' or does
>>> it also happen if you use 'vga=788'?
>> It "only" happens when I use 'nomodeset vga=788'.
>
> Does /etc/modprobe.d/i915-kms.conf exist in the live system?
Apparently /etc/modprobe.d/i915-kms.conf is from package
xserver-xorg-video-intel, however, since the Debian live CD I created is
in for text mode, this package xserver-xorg-video-intel is not included.
Therefore no /etc/modprobe.d/i915-kms.conf in the live system.
I believe this is the same case for xserver-xorg-video-radeon,

Steven.

>
>
>> However, when using "vga=788", actually it won't work since the console
>> screen is not in the 800x600 text mode. It's in KMS mode I believe.
>
> Yes, by default i915 will load and set the screen mode immediately.
>
> Ben.
>

- -- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://www.enigmail.net/

iEYEARECAAYFAlBfF1sACgkQCLPj15didVosGQCePZoUYxRox1/EnI4OWSj2/kqJ
xucAn1aTvrWFNwT3d5A+TNw0kF/9V+2u
=+8Kf
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#686939; Package src:linux. (Tue, 25 Sep 2012 02:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to steven@nchc.org.tw:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 25 Sep 2012 02:27:06 GMT) Full text and rfc822 format available.

Message #37 received at 686939@bugs.debian.org (full text, mbox):

From: Steven Shiau <steven@nchc.org.tw>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 686939@bugs.debian.org
Subject: Re: Bug#686939: linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Date: Tue, 25 Sep 2012 10:25:15 +0800

On 2012/9/19 上午 11:46, Ben Hutchings wrote:
> Does /etc/modprobe.d/i915-kms.conf exist in the live system?
I put /etc/modprobe.d/i915-kms.conf in the live CD filesystem.squashfs, 
with its contents:
      options i915 modeset=1
and even when I put "nomodeset vga=788" in the boot parameters, now the 
live system would enter KMS mode directly.
On the other hand, I added "nomodeset vga=788 i915.blacklist=yes" in the 
boot parameter, and apparently it entered framebuffer mode 800x600.
So my question is, how can I let Debian Sid honor "nomodeset vga=788" 
without "i915.blacklist=yes" in the boot parameter and without 
/etc/modprobe.d/i915-kms.conf inside the live system?

Steven.

-- 
Steven Shiau <steven _at_ nchc org tw> <steven _at_ stevenshiau org>
National Center for High-performance Computing, Taiwan.
http://www.nchc.org.tw
Public Key Server PGP Key ID: 1024D/9762755A
Fingerprint: A2A1 08B7 C22C 3D06 34DB  F4BC 08B3 E3D7 9762 755A



Changed Bug title to 'i915: "nomodeset vga=788" hangs instead of suppressing modesetting ("fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver")' from 'linux-image-3.2.0-3-686-pae: fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 30 Sep 2012 00:03:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 30 Sep 2012 00:03:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 30 Sep 2012 00:03:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:41:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.